Bug 151244 - CAN-2005-0384 pppd remote DoS
CAN-2005-0384 pppd remote DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 06:13 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 18:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-16 06:13:06 EST
See bug #151240 for patch and POC... also affects FC2

+++ This bug was initially created as a clone of Bug #151240 +++

Ben Martel and Stephen Blackheath discovered a DoS attack that a client of pppd
can make that can hang the server machine.  The bug is in the Linux kernel 2.6
(tested on 2.6.9), but it looks like it also exists in the 2.4 series.

Note You need to log in before you can comment on or make changes to this bug.